Skip to main content
GET
/
api
/
sms
List SMS conversations
curl --request GET \
  --url https://api.recepta.ai/api/v1/api/sms \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "message": "SMS conversations retrieved successfully",
  "data": {
    "conversations": [
      {
        "id": "69a5f5d966e89fbafd5c601f",
        "customerPhone": "+12243000999",
        "companyPhone": "+17622528168",
        "customerName": "John Smith",
        "customerEmail": "<string>",
        "status": "ACTIVE",
        "lastMessageAt": "2023-11-07T05:31:56Z",
        "lastMessagePreview": "Thanks for the update!",
        "lastMessageDirection": "INBOUND",
        "messageCount": 17,
        "unreadCount": 0
      }
    ],
    "pagination": {
      "total": 142,
      "page": 1,
      "limit": 20,
      "totalPages": 8
    }
  }
}

Authorizations

x-api-key
string
header
required

Your Recepta API key (starts with rcp_)

Query Parameters

page
integer
default:1

Page number

limit
integer
default:50

Results per page

Search by phone or customer name

status
enum<string>

Filter by conversation status

Available options:
ACTIVE,
ARCHIVED,
CLOSED

Response

200 - application/json

Conversations retrieved

success
boolean
Example:

true

message
string
Example:

"SMS conversations retrieved successfully"

data
object